aagc.vo

## Class AssistibileFuoriAnagrafeRequest

- java.lang.Object
- - aagc.vo.AssistibileFuoriAnagrafeRequest

-     public class AssistibileFuoriAnagrafeRequest
      extends java.lang.Object

  Classe Java per assistibileFuoriAnagrafeRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="assistibileFuoriAnagrafeRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="nomeAssistito" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="cognomeAssistito" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="dataNascita">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="indirizzoDomicilio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indirizzoResidenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="sesso" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(M|F)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codAssistito" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="cittadinanza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIstatComuneResid">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codIstatDomicilio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codIstatNascita" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codRegione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codRegioneUsl" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cittadinanza`
    `protected java.lang.String` | `codAssistito`
    `protected java.lang.String` | `codIstatComuneResid`
    `protected java.lang.String` | `codIstatDomicilio`
    `protected java.lang.String` | `codIstatNascita`
    `protected java.lang.String` | `codRegione`
    `protected java.lang.String` | `codRegioneUsl`
    `protected java.lang.String` | `cognomeAssistito`
    `protected java.lang.String` | `dataNascita`
    `protected java.lang.String` | `indirizzoDomicilio`
    `protected java.lang.String` | `indirizzoResidenza`
    `protected java.lang.String` | `nomeAssistito`
    `protected java.lang.String` | `sesso`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistibileFuoriAnagrafeRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCittadinanza()` Recupera il valore della proprietà cittadinanza.
    `java.lang.String` | `getCodAssistito()` Recupera il valore della proprietà codAssistito.
    `java.lang.String` | `getCodIstatComuneResid()` Recupera il valore della proprietà codIstatComuneResid.
    `java.lang.String` | `getCodIstatDomicilio()` Recupera il valore della proprietà codIstatDomicilio.
    `java.lang.String` | `getCodIstatNascita()` Recupera il valore della proprietà codIstatNascita.
    `java.lang.String` | `getCodRegione()` Recupera il valore della proprietà codRegione.
    `java.lang.String` | `getCodRegioneUsl()` Recupera il valore della proprietà codRegioneUsl.
    `java.lang.String` | `getCognomeAssistito()` Recupera il valore della proprietà cognomeAssistito.
    `java.lang.String` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.lang.String` | `getIndirizzoDomicilio()` Recupera il valore della proprietà indirizzoDomicilio.
    `java.lang.String` | `getIndirizzoResidenza()` Recupera il valore della proprietà indirizzoResidenza.
    `java.lang.String` | `getNomeAssistito()` Recupera il valore della proprietà nomeAssistito.
    `java.lang.String` | `getSesso()` Recupera il valore della proprietà sesso.
    `void` | `setCittadinanza(java.lang.String value)` Imposta il valore della proprietà cittadinanza.
    `void` | `setCodAssistito(java.lang.String value)` Imposta il valore della proprietà codAssistito.
    `void` | `setCodIstatComuneResid(java.lang.String value)` Imposta il valore della proprietà codIstatComuneResid.
    `void` | `setCodIstatDomicilio(java.lang.String value)` Imposta il valore della proprietà codIstatDomicilio.
    `void` | `setCodIstatNascita(java.lang.String value)` Imposta il valore della proprietà codIstatNascita.
    `void` | `setCodRegione(java.lang.String value)` Imposta il valore della proprietà codRegione.
    `void` | `setCodRegioneUsl(java.lang.String value)` Imposta il valore della proprietà codRegioneUsl.
    `void` | `setCognomeAssistito(java.lang.String value)` Imposta il valore della proprietà cognomeAssistito.
    `void` | `setDataNascita(java.lang.String value)` Imposta il valore della proprietà dataNascita.
    `void` | `setIndirizzoDomicilio(java.lang.String value)` Imposta il valore della proprietà indirizzoDomicilio.
    `void` | `setIndirizzoResidenza(java.lang.String value)` Imposta il valore della proprietà indirizzoResidenza.
    `void` | `setNomeAssistito(java.lang.String value)` Imposta il valore della proprietà nomeAssistito.
    `void` | `setSesso(java.lang.String value)` Imposta il valore della proprietà sesso.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nomeAssistito

          protected java.lang.String nomeAssistito

    - #### cognomeAssistito

          protected java.lang.String cognomeAssistito

    - #### dataNascita

          protected java.lang.String dataNascita

    - #### indirizzoDomicilio

          protected java.lang.String indirizzoDomicilio

    - #### indirizzoResidenza

          protected java.lang.String indirizzoResidenza

    - #### sesso

          protected java.lang.String sesso

    - #### codAssistito

          protected java.lang.String codAssistito

    - #### cittadinanza

          protected java.lang.String cittadinanza

    - #### codIstatComuneResid

          protected java.lang.String codIstatComuneResid

    - #### codIstatDomicilio

          protected java.lang.String codIstatDomicilio

    - #### codIstatNascita

          protected java.lang.String codIstatNascita

    - #### codRegione

          protected java.lang.String codRegione

    - #### codRegioneUsl

          protected java.lang.String codRegioneUsl

  - ### Constructor Detail

    - #### AssistibileFuoriAnagrafeRequest

          public AssistibileFuoriAnagrafeRequest()

  - ### Method Detail

    - #### getNomeAssistito

          public java.lang.String getNomeAssistito()

      Recupera il valore della proprietà nomeAssistito.
      Returns:
        possible object is `String`

    - #### setNomeAssistito

          public void setNomeAssistito(java.lang.String value)

      Imposta il valore della proprietà nomeAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognomeAssistito

          public java.lang.String getCognomeAssistito()

      Recupera il valore della proprietà cognomeAssistito.
      Returns:
        possible object is `String`

    - #### setCognomeAssistito

          public void setCognomeAssistito(java.lang.String value)

      Imposta il valore della proprietà cognomeAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataNascita

          public java.lang.String getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `String`

    - #### setDataNascita

          public void setDataNascita(java.lang.String value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndirizzoDomicilio

          public java.lang.String getIndirizzoDomicilio()

      Recupera il valore della proprietà indirizzoDomicilio.
      Returns:
        possible object is `String`

    - #### setIndirizzoDomicilio

          public void setIndirizzoDomicilio(java.lang.String value)

      Imposta il valore della proprietà indirizzoDomicilio.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndirizzoResidenza

          public java.lang.String getIndirizzoResidenza()

      Recupera il valore della proprietà indirizzoResidenza.
      Returns:
        possible object is `String`

    - #### setIndirizzoResidenza

          public void setIndirizzoResidenza(java.lang.String value)

      Imposta il valore della proprietà indirizzoResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getSesso

          public java.lang.String getSesso()

      Recupera il valore della proprietà sesso.
      Returns:
        possible object is `String`

    - #### setSesso

          public void setSesso(java.lang.String value)

      Imposta il valore della proprietà sesso.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodAssistito

          public java.lang.String getCodAssistito()

      Recupera il valore della proprietà codAssistito.
      Returns:
        possible object is `String`

    - #### setCodAssistito

          public void setCodAssistito(java.lang.String value)

      Imposta il valore della proprietà codAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getCittadinanza

          public java.lang.String getCittadinanza()

      Recupera il valore della proprietà cittadinanza.
      Returns:
        possible object is `String`

    - #### setCittadinanza

          public void setCittadinanza(java.lang.String value)

      Imposta il valore della proprietà cittadinanza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatComuneResid

          public java.lang.String getCodIstatComuneResid()

      Recupera il valore della proprietà codIstatComuneResid.
      Returns:
        possible object is `String`

    - #### setCodIstatComuneResid

          public void setCodIstatComuneResid(java.lang.String value)

      Imposta il valore della proprietà codIstatComuneResid.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatDomicilio

          public java.lang.String getCodIstatDomicilio()

      Recupera il valore della proprietà codIstatDomicilio.
      Returns:
        possible object is `String`

    - #### setCodIstatDomicilio

          public void setCodIstatDomicilio(java.lang.String value)

      Imposta il valore della proprietà codIstatDomicilio.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatNascita

          public java.lang.String getCodIstatNascita()

      Recupera il valore della proprietà codIstatNascita.
      Returns:
        possible object is `String`

    - #### setCodIstatNascita

          public void setCodIstatNascita(java.lang.String value)

      Imposta il valore della proprietà codIstatNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegione

          public java.lang.String getCodRegione()

      Recupera il valore della proprietà codRegione.
      Returns:
        possible object is `String`

    - #### setCodRegione

          public void setCodRegione(java.lang.String value)

      Imposta il valore della proprietà codRegione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegioneUsl

          public java.lang.String getCodRegioneUsl()

      Recupera il valore della proprietà codRegioneUsl.
      Returns:
        possible object is `String`

    - #### setCodRegioneUsl

          public void setCodRegioneUsl(java.lang.String value)

      Imposta il valore della proprietà codRegioneUsl.
      Parameters:
        `value` - allowed object is `String`